﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Infragistics.Olap.Xmla.SchemaRowsets.OleDbOlap
{
    using System.Xml.Serialization;

    public class Kpi
    {
        [XmlElement("CATALOG_NAME")]
        public string CatalogName { get; set; }

        [XmlElement("CUBE_NAME")]
        public string CubeName { get; set; }

        [XmlElement("MEASUREGROUP_NAME")]
        public string MeasureGroupName { get; set; }

        [XmlElement("KPI_NAME")]
        public string Name { get; set; }

        [XmlElement("KPI_CAPTION")]
        public string Caption { get; set; }

        [XmlElement("KPI_DESCRIPTION")]
        public string Description { get; set; }

        [XmlElement("KPI_DISPLAY_FOLDER")]
        public string DisplayFolder { get; set; }

        [XmlElement("KPI_VALUE")]
        public string Value { get; set; }

        [XmlElement("KPI_GOAL")]
        public string Goal { get; set; }

        [XmlElement("KPI_STATUS")]
        public string Status { get; set; }

        [XmlElement("KPI_TREND")]
        public string Trend { get; set; }

        [XmlElement("KPI_STATUS_GRAPHIC")]
        public string StatusGraphic { get; set; }

        [XmlElement("KPI_TREND_GRAPHIC")]
        public string TrendGraphic { get; set; }

        [XmlElement("KPI_WEIGHT")]
        public string Weight { get; set; }

        [XmlElement("KPI_CURRENT_TIME_MEMBER")]
        public string CurrentTimeMember { get; set; }

        [XmlElement("KPI_PARENT_KPI_NAME")]
        public string ParentKpiName { get; set; }

        [XmlElement("SCOPE")]
        public XmlaScope Scope { get; set; }

        [XmlElement("ANNOTATIONS")]
        public string Annotations { get; set; }
    }
}
